> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-es/tiempo-de-ejecucion-de-la-escena/basic-entities.md).

# Entidades básicas

El World Explorer [reserva un rango](https://github.com/decentraland/docs/tree/main/contributor/runtime/modules/engine_api/README.md#identifying) de IDs de Entity para su propio uso. De este rango, los identificadores `0`, `1` y `2` están preasignados a un conjunto de entidades básicas garantizadas para existir.

Estas son:

* `0`: `RootEntity`
* `1`: `PlayerEntity`
* `2`: `CameraEntity`

Estas entidades tienen un conjunto conocido de components adjuntos que son gestionados por el runtime, es decir, su estado es de solo lectura para la escena. Obtener el estado inicial de estos components forma parte de la [inicialización de la escena](https://github.com/decentraland/docs/tree/main/contributor/runtime/execution/README.md#onStart).

{% hint style="info" %}
Los components adicionales para estas entidades están en desarrollo. El [mecanismo de sincronización CRDT](https://github.com/decentraland/docs/tree/main/contributor/runtime/modules/engine_api/README.md#synchronization) se está ampliando para proporcionar parte de la funcionalidad ofrecida por distintos módulos.

Por ejemplo, las escenas podrán detectar el estado de la ventana del Explorer para optimizar su uso de red y CPU, o acceder a información más completa sobre el player, el sistema de comunicaciones y la cámara del juego.
{% endhint %}

**`RootEntity` (`0`)**

Contiene información general sobre el contexto de la escena.

* [`Transform`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): información posicional del punto de origen de la escena, con respecto al cual todos los demás transforms sin un parent explícito son relativos.

El `Transform` componente de la `RootEntity` se inicializa con los siguientes valores:

```yml
scale: [1, 1, 1] # XYZ
position: [0, 0, 0] # XYZ
rotation: [0, 0, 0, 1] # XYZW
```

**`PlayerEntity` (`1`)**

Contiene datos sobre el player, su identidad, su avatar y ubicación.

* [`Transform`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): la información posicional del avatar del jugador.

**`CameraEntity` (`2`)**

Contiene información sobre la cámara del juego. Todos los components son gestionados por el renderer.

* [`Transform`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#Transform): la información posicional de la propia cámara.
* [`PointerLocked`](https://github.com/decentraland/docs/tree/main/contributor/runtime/components/README.md#PointerLocked): si el pointer sigue la dirección de la cámara o se mueve de forma independiente.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-es/tiempo-de-ejecucion-de-la-escena/basic-entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
